# https://gitlab.com/cespedes/ltrace/-/commit/0670fae5e63994357df7f7a2c5b998fec3c6abce
%global gitver 0670fae5

Summary:       Debugging program to track runtime library calls in dynamically linked programs
Name:          ltrace
Version:       0.7.91
Release:       8.git%{gitver}%{?dist}
License:       GPLv2+
URL:           https://ltrace.org/
Source0:       https://gitlab.com/cespedes/ltrace/-/archive/main/ltrace-main.tar.bz2
Patch0001:     0001-use-after-free-in-ppc-plt.patch
Patch0002:     0001-ltrace-0.7.91-add-support-for-loongarch64.patch

BuildRequires: make gcc-c++ autoconf automake libtool
BuildRequires: elfutils-devel dejagnu
BuildRequires: libselinux-devel

%description
Ltrace is a debugging program which runs a specified command until the
command exits.  While the command is executing, ltrace intercepts and
records both the dynamic library calls called by the executed process
and the signals received by the executed process.  Ltrace can also
intercept and print system calls executed by the process.


%prep
%autosetup -n %{name}-main -p1


%build
./autogen.sh
export CFLAGS="%{optflags} -Wno-error=lto-type-mismatch"
%configure --docdir=%{_pkgdocdir}
%make_build


%install
%make_install bindir=%{_bindir}


%check
timeout 180 make check ||:


%files
%license COPYING
%doc NEWS CREDITS INSTALL README TODO COPYING
%{_bindir}/ltrace
%{_datadir}/ltrace
%{_mandir}/man1/ltrace.1*
%{_mandir}/man5/ltrace.conf.5*


%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.7.91-8.git0670fae5
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.7.91-7.git0670fae5
- Rebuilt for loongarch release

* Fri May 31 2024 Pengda Dou <doupengda@loongson.cn> - 0.7.91-6.git0670fae5
- [Type] other
- [DESC] add support for loongarch64

* Wed Jan 17 2024 Rebuild Robot <rebot@opencloudos.org> - 0.7.91-5.git0670fae5
- Rebuilt for elfutils

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.7.91-4.git0670fae5
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.7.91-3.git0670fae5
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.7.91-2.git0670fae5
- Rebuilt for OpenCloudOS Stream 23

* Thu Jul 14 2022 rockerzhu <rockerzhu@tencent.com> - 0.7.91-1
- Initial build
